Bug 208775 - devel/libev: Update to 4.22
Summary: devel/libev: Update to 4.22
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vsevolod Stakhov
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-04-13 13:32 UTC by Carlos J. Puga Medina
Modified: 2016-04-19 08:47 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback+


Attachments
patch (2.48 KB, patch)
2016-04-13 13:32 UTC, Carlos J. Puga Medina
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2016-04-13 13:32:22 UTC
Created attachment 169286 [details]
patch

- Update to 4.22
- Fix WWW in pkg-descr
- Regenerate patches using 'make makepatch'
Comment 1 Carlos J. Puga Medina freebsd_committer 2016-04-13 14:17:51 UTC
All builds are fine

poudriere testport -j 93x32 -o devel/libev [OK]
poudriere testport -j 93x64 -o devel/libev [OK]
poudriere testport -j 102x32 -o devel/libev [OK]
poudriere testport -j 103x32 -o devel/libev [OK]
Comment 2 Kurt Jaeger freebsd_committer 2016-04-13 19:53:41 UTC
There are approx. 107 ports that depend on libev. Are the changes small enough that no additional check ... ?
Comment 3 Carlos J. Puga Medina freebsd_committer 2016-04-13 20:11:57 UTC
(In reply to Kurt Jaeger from comment #2)

We can request for exp-run.
Comment 4 Carlos J. Puga Medina freebsd_committer 2016-04-13 20:34:39 UTC
Here it is the changelog:

http://cvs.schmorp.de/libev/Changes?pathrev=rel-4_22
Comment 5 Antoine Brodin freebsd_committer 2016-04-17 11:04:12 UTC
Are you sure this needs an exp-run?
Less than 40 ports in the ports tree depend on it and I don't see any API change.
Comment 6 Vsevolod Stakhov freebsd_committer 2016-04-17 11:58:00 UTC
I'd agree with the option 'commit as is', since API changes are negligible indeed.
Comment 7 Carlos J. Puga Medina freebsd_committer 2016-04-18 15:21:07 UTC
(In reply to Vsevolod Stakhov from comment #6)

Thanks @vsevolod :)
Comment 8 Carlos J. Puga Medina freebsd_committer 2016-04-18 15:27:55 UTC
(In reply to Antoine Brodin from comment #5)

Note that this release is mainly a bugfix release. So, there is no urgent need to upgrade.

Changes in this release:

4.22 Sun Dec 20 22:11:50 CET 2015
        - when epoll detects unremovable fds in the fd set, rebuild
          only the epoll descriptor, not the signal pipe, to avoid
          SIGPIPE in ev_async_send. This doesn't solve it on fork,
          so document what needs to be done in ev_loop_fork
          (analyzed by Benjamin Mahler).
        - remove superfluous sys/timeb.h include on win32
          (analyzed by Jason Madden).
        - updated libecb.
Comment 9 commit-hook freebsd_committer 2016-04-19 08:46:17 UTC
A commit references this bug:

Author: cpm
Date: Tue Apr 19 08:45:50 UTC 2016
New revision: 413628
URL: https://svnweb.freebsd.org/changeset/ports/413628

Log:
  - Update to 4.22
  - Fix WWW in pkg-descr
  - Regenerate patches using 'make makepatch'

  Changelog: http://cvs.schmorp.de/libev/Changes?pathrev=rel-4_22

  PR:		208775
  Approved by:	vsevolod (maintainer), junovitch (mentor)

Changes:
  head/devel/libev/Makefile
  head/devel/libev/distinfo
  head/devel/libev/files/patch-Makefile.in
  head/devel/libev/files/patch-configure
  head/devel/libev/files/patch-ev.c
  head/devel/libev/pkg-descr
Comment 10 Carlos J. Puga Medina freebsd_committer 2016-04-19 08:47:33 UTC
Committed, thanks!